#include "MeshFacesDock.h"

#include <X3DTK/kernel.h>
#include <qmainwindow.h>

MeshFacesDock::MeshFacesDock(QMainWindow *parent)
: QToolBar(parent)
{
  parent->moveDockWindow(this, DockRight);
  
  _form = new facesDisplayForm(this);
  setCaption(tr("faces display"));
  
  connect(_form->realButton, SIGNAL(clicked()), this, SLOT(realButton()));
  connect(_form->IFSButton, SIGNAL(clicked()), this, SLOT(IFSButton()));
  connect(_form->connComsButton, SIGNAL(clicked()), this, SLOT(connComsButton()));
}

void MeshFacesDock::realButton()
{
  RC::Signal::send(this, &MeshFacesDock::real);
}

void MeshFacesDock::IFSButton()
{
  RC::Signal::send(this, &MeshFacesDock::indexedFaceSet);
}

void MeshFacesDock::connComsButton()
{
  RC::Signal::send(this, &MeshFacesDock::connComs);
}

void MeshFacesDock::real() const
{
}

void MeshFacesDock::indexedFaceSet() const
{
}

void MeshFacesDock::connComs() const
{
}
