#include "MeshEditorMainWindow.h"
#include <qapplication.h>

using namespace std;
using namespace X3DTK;

typedef clist<tlist<MESH::MeshColorData, tlist<MESH::MeshTexCoordData> > > MyMeshData;
typedef clist<tlist<MESH::VertexPointData> > MyVertexData;

int main(int argc, char *argv[])
{
  // Read command lines arguments.
  QApplication application(argc, argv);
  char *fileName = 0;
  
  if (argc > 1)
    fileName = argv[1];
    
  // Instantiate the viewer.
  MESH::MeshEditorMainWindow<MESH::MeshData, MESH::VertexData, MESH::EdgeData, MESH::FaceData, true> w;
  // Make the viewer window visible on screen.
  w.show();

  // Set the viewer as the application main widget.
  application.setMainWidget(&w);
  
  w.loadFile(fileName);
  
  // Run main loop.
  return application.exec();
}
