#ifndef MESHCONTROLLER_H
#define MESHCONTROLLER_H

#include <X3DTK/kernel.h>

#include <list>

namespace X3DTK {
namespace MESH {

class View;
class Modifier;
class Scene;

/// class providing a controller for the MeshViewer MVC pattern.

class Controller
{
public:
  /// Constructor.
  Controller();
  /// Destructor.
  virtual ~Controller();

  /// Records an element.
  void recordSelection(View *selection);
  /// Records an element.
  void record(View *element);
  /// Removes an element.
  void remove(View *element);
  /// Notifies all the views
  void notify();

  /// Gets the Scene.
  inline Scene *getScene() const {return meshScene;};
  /// Selects.
  void select();

  /// Signal.
  void updated() const {};

protected:
  Scene *meshScene;

private:
  View *_selection;
  std::list<View *> _viewList;
};

}
}

#endif
