#include "MESH_View.h"

#include <iostream>

using namespace std;

namespace X3DTK {
namespace MESH {

View::View(const SFString &name)
: _name(name) ,_controller(0), _isVisible(false)
{
}

View::~View()
{
}

void View::hide()
{
  _isVisible = false;
}

void View::show()
{
  _isVisible = true;
}

void View::notify()
{
  if (_controller != 0)
    _controller->notify();
    
  RC::Signal::send(this, &View::updated);  
}

Scene *View::getScene() const
{
  if (_controller != 0)
    return _controller->getScene();

  return 0;  
}

void View::receiveNotification()
{
}

void View::display()
{
}

void View::initSelect()
{
}

void View::select()
{
}

void View::setSelectedNodes(const MFNode &)
{
}

}
}
