#ifndef MESHCONNCOMVIEW_H
#define MESHCONNCOMVIEW_H

#include <MeshConnComDock.h>
#include <MESH_View.h>
#include <X3DTK/MESH/scenegraph.h>
#include <X3DTK/MESH/connectedcomcomputer.h>
#include <X3DTK/kernel.h>
#include <qprogressdialog.h>

namespace X3DTK {
namespace MESH {

/// View computing the connected components.

class ConnComView : public View
{
public:
  /// Dock window for the graphical interface.
  MeshConnComDock *dock;

  /// Constructor.
  ConnComView(QMainWindow *parent);
  /// Destructor.
  virtual ~ConnComView();
  
  /// Hides the view.
  virtual void hide();
  /// Shows the view.
  virtual void show();

  /// Computes the connected components 
  void compute();
  
  /// Sets the selected nodes to draw. If empty, then all the graph is drawn.
  void setSelectedNodes(const MFNode &selectedNodes);
  
private:
  ConnectedComComputer *_connComComputer;
};

}
}

#endif
