#ifndef MESHNORMALSVIEW_H
#define MESHNORMALSVIEW_H

#include <MeshNormalsDock.h>
#include <MESH_View.h>
#include <X3DTK/MESH/scenegraph.h>
#include <X3DTK/MESH/normalsdrawer.h>
#include <GL/gl.h>
#include <X3DTK/kernel.h>

namespace X3DTK {
namespace MESH {

/// View for the normals, including a window to set parameters.

template<class MData, class VData, class EData, class FData, bool RW>
class NormalsView : public View
{
public:
  /// Dock window for the graphical interface.
  MeshNormalsDock *dock;

  /// Constructor.
  NormalsView(QMainWindow *parent);
  /// Destructor.
  virtual ~NormalsView();
  
  /// Hides the view.
  virtual void hide();
  /// Shows the view.
  virtual void show();
  
  /// Receives notification from the controller that the content of the Scene has changed.
  virtual void receiveNotification();
  /// Displays the content.
  virtual void display();
  /// Sets the amplitude.
  void setAmplitude(float amplitude);

private:
  TemplateNormalsDrawer<MData, VData, EData, FData, RW> *_normalsDrawer;
  bool _modified;
  GLuint _displayList;
  float _amplitude;
};

}
}

#include "MESH_NormalsView.inl"

#endif
