#ifndef MESHSTATISTICSVIEW_H
#define MESHSTATISTICSVIEW_H

#include <MeshStatisticsDock.h>
#include <MESH_View.h>
#include <X3DTK/MESH/scenegraph.h>
#include <X3DTK/MESH/statscalculator.h>
#include <X3DTK/kernel.h>

namespace X3DTK {
namespace MESH {

/// View for the statistics of the model.

template<class MData, class VData, class EData, class FData, bool RW>
class StatisticsView : public View
{
public:
  /// Dock window for the graphical interface.
  MeshStatisticsDock *dock;
  
  /// Constructor.
  StatisticsView(QMainWindow *parent);
  /// Destructor.
  virtual ~StatisticsView();
  
  /// Hides the view.
  virtual void hide();
  /// Shows the view.
  virtual void show();
  
  /// Receives notification from the controller that the content of the Scene has changed.
  virtual void receiveNotification();
  /// Displays the content.
  virtual void display();
  /// Sets the selected nodes to draw. If empty, then all the graph is drawn.
  void setSelectedNodes(const MFNode &selectedNodes);

private:
  TemplateStatsCalculator<MData, VData, EData, FData, RW> *_statsCalculator;
};

}
}

#include "MESH_StatisticsView.inl"

#endif
