////////////////////////////////////////////////////////////////////////////////
///                            Viewer.h                                      ///
////////////////////////////////////////////////////////////////////////////////

#ifndef VIEWER_H
#define VIEWER_H

#include <QGLViewer/qglviewer.h>
#include <X3DTK/simplex3dglscene.h>

// Class providing an X3D Viewer by implementing QGLViewer.

class Viewer : public QGLViewer
{
public:
  Viewer(const char *fileName);
  ~Viewer();
  
protected :
  void init();
  void draw();
  void keyPressEvent(QKeyEvent *e);
  void load(const char *fileName);
  void loadFromDialog();
  QString helpString() const;
  void help() const;
  
private:
  const char *_fileName;
  X3DTK::SimpleX3DGLScene scene;
};

#endif
